Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354670 - [abrt] easytag: __memcpy_sse2_unaligned(): easytag killed by SIGSEGV
Summary: [abrt] easytag: __memcpy_sse2_unaligned(): easytag killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:63fcfaadaf6e48b8bacb3affd4f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 22:24 UTC by Kent Knudsen
Modified: 2016-12-20 21:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:10:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: cgroup (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: core_backtrace (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: dso_list (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: environ (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: exploitable (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: limits (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: maps (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: mountinfo (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: namespaces (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: open_fds (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: proc_pid_status (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details
File: var_log_messages (deleted)
2016-07-11 22:24 UTC, Kent Knudsen
no flags Details

Description Kent Knudsen 2016-07-11 22:24:18 UTC
Description of problem:
1. Open EasyTag
2. Select MP3 files to tag
3. Edit tags for selected MP3 files
4. Save changes
5. EasyTag crashes

Version-Release number of selected component:
easytag-2.4.2-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/easytag '/home/ke/Music/ASOT/ASOT 758 - (2016-apr-07).mp3'
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/easytag
global_pid:     30641
kernel:         4.5.7-202.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:36
 #1 libapetag_maloc_cont at /usr/include/bits/string3.h:53
 #3 apetag_read_fp at src/tags/libapetag/apetaglib.c:771
 #4 apetag_save at src/tags/libapetag/apetaglib.c:931
 #5 ape_tag_write_file_tag at src/tags/ape_tag.c:368
 #6 id3tag_write_file_tag at src/tags/id3_tag.c:610
 #8 ET_Save_File_Tag_To_HD at src/file.c:1302
 #9 Save_List_Of_Files at src/easytag.c:745
 #12 Save_Selected_Files_With_Answer at src/easytag.c:126

Comment 1 Kent Knudsen 2016-07-11 22:24:24 UTC
Created attachment 1178563 [details]
File: backtrace

Comment 2 Kent Knudsen 2016-07-11 22:24:25 UTC
Created attachment 1178564 [details]
File: cgroup

Comment 3 Kent Knudsen 2016-07-11 22:24:27 UTC
Created attachment 1178565 [details]
File: core_backtrace

Comment 4 Kent Knudsen 2016-07-11 22:24:28 UTC
Created attachment 1178566 [details]
File: dso_list

Comment 5 Kent Knudsen 2016-07-11 22:24:30 UTC
Created attachment 1178567 [details]
File: environ

Comment 6 Kent Knudsen 2016-07-11 22:24:31 UTC
Created attachment 1178568 [details]
File: exploitable

Comment 7 Kent Knudsen 2016-07-11 22:24:32 UTC
Created attachment 1178569 [details]
File: limits

Comment 8 Kent Knudsen 2016-07-11 22:24:34 UTC
Created attachment 1178570 [details]
File: maps

Comment 9 Kent Knudsen 2016-07-11 22:24:35 UTC
Created attachment 1178571 [details]
File: mountinfo

Comment 10 Kent Knudsen 2016-07-11 22:24:36 UTC
Created attachment 1178572 [details]
File: namespaces

Comment 11 Kent Knudsen 2016-07-11 22:24:38 UTC
Created attachment 1178573 [details]
File: open_fds

Comment 12 Kent Knudsen 2016-07-11 22:24:39 UTC
Created attachment 1178574 [details]
File: proc_pid_status

Comment 13 Kent Knudsen 2016-07-11 22:24:40 UTC
Created attachment 1178575 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-25 09:25:07 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 21:10:00 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.